package com.jwipc.tender.convert;

import com.jwipc.tender.dto.TenderQuestionBaseDTO;
import com.jwipc.tender.dto.TenderQuestionDetailDTO;
import com.jwipc.tender.entity.TenderQuestion;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface TenderQuestionConvert {
    List<TenderQuestionBaseDTO> entitiesToDtos(List<TenderQuestion> list);

    TenderQuestionDetailDTO entityToDto(TenderQuestion question);

    TenderQuestion dtoToEntity(TenderQuestionBaseDTO tenderQuestionBaseDTO);
}
